Package javassist.tools.rmi

# Class RemoteRef

java.lang.Object
javassist.tools.rmi.RemoteRef

All Implemented Interfaces:
  `Serializable`

public class RemoteRef extends Object implements Serializable
Remote reference. This class is internally used for sending a remote reference through a network stream.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`classname`
`int`
`oid`

## Constructor Summary

Constructors
Constructor
Description
`RemoteRef(int i)`
`RemoteRef(int i, String name)`

## Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### oid

public int oid

### classname

public String classname

## Constructor Details

### RemoteRef

public RemoteRef(int i)

### RemoteRef

public RemoteRef(int i, String name)